#!/bin/tcsh

if ($1 == "" || $2 == "") then
  echo "ERROR: Usage is"
  echo "       $0 INPUT_FILE SPATIAL_BINNING"
  exit
endif

set INFILE = $1
set BIN = $2
set IMNAME = `echo $INFILE | awk '{print substr($1,3)}'`
set TMPFILE = 'trace_junk.txt'

if (-e $TMPFILE) /bin/rm $TMPFILE
touch $TMPFILE

set NUMS = `grep -n "begin" $INFILE | grep "aperture" | sed 's/:/ /' | awk '{print $1}'`
@ i = 0
foreach NUM ($NUMS)
  @ i = $i + 1
 set SHIFT = `printline $INFILE $NUM | awk '{print $5}'`
  @ MAXSHIFT = `echo "2048" | awk '{print $1/'$BIN'}'` 
  if (`echo $SHIFT | awk '{if ($1 >= 0.0 && $1 <= '$MAXSHIFT') print 1}'`) then
    set FINDSTR = `echo "aperture $IMNAME $i"`
    para $INFILE "$FINDSTR" >> $TMPFILE
    echo "" >> $TMPFILE
  endif
end

/bin/mv -f $TMPFILE $INFILE
